﻿using Infragistics.Win;
using Infragistics.Win.UltraWinToolbars;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace AppMenu2010HorizontalScrollCase
{
    public partial class Form1 : Form
    {
        ResizeUserControl userControl;
        public Form1()
        {
            InitializeComponent();  

            PopupControlContainerTool popTool0 = new PopupControlContainerTool("bugTool1");

            userControl = new ResizeUserControl();
            userControl.btn.Click += Btn_Click;

            popTool0.Control = userControl;        
            popTool0.SharedProps.Caption = "Bug Tool";
            
            ultraToolbarsManager1.Tools.Add(popTool0);

            ultraToolbarsManager1.Style = ToolbarStyle.Office2010;    
            ultraToolbarsManager1.Ribbon.FileMenuStyle = FileMenuStyle.ApplicationMenu2010;

            ApplicationMenu2010 appMenu = ultraToolbarsManager1.Ribbon.ApplicationMenu2010;            
            appMenu.NavigationMenu.Tools.AddTool("bugTool1");
        }

        private void Btn_Click(object sender, EventArgs e)
        {
            userControl.label.Text = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam sagittis, nulla ut mattis sollicitudin, quam magna accumsan libero, non vulputate nisi sapien nec ipsum. Vestibulum gravida, lectus sed fringilla tempor, tellus enim condimentum lectus. ";
            userControl.label.Width = 1400;
            userControl.Width = 1400;


            //Doesn't work...
            //foreach(var x in this.Controls)
            //{
            //    if(x is IUltraControlElement)
            //    {
            //        IUltraControlElement element = x as IUltraControlElement;                                   
                    
            //        if(element.MainUIElement != null)
            //        {
            //            element.MainUIElement.DirtyChildElements();
            //            element.MainUIElement.Control.Update();                  
            //        }
            //    }
            //}                                         
        }
    }
}
